#########################################
# Log verbosity control for izat modules
#########################################
# OFF = 0, ERROR = 1, WARNING = 2, INFO = 3, DEBUG = 4, VERBOSE = 5
IZAT_DEBUG_LEVEL = 2

##################################################
# Select WIFI Wait Timeout value in seconds for SUPL
##################################################
WIFI_WAIT_TIMEOUT_SELECT = 0

##################################################
# Time interval of injecting SRN scan data to modem
# time in seconds.
# Note: recommended value is between 1-5 sec
##################################################
LPPE_SRN_DATA_SCAN_INJECT_TIME=2

################################
# NLP Settings
################################
# NLP_MODE  1: OSNLP Only, 2: QNP Only, 3: Combo, 4: QNP preferred
# For Automotive products, please use NLP_MODE = 4 only.
# NLP_TOLERANCE_TIME_FIRST: Time in ms used in Combo mode
# to determine how much Tolerance for first position
# NLP_TOLERANCE_TIME_AFTER: Time in ms used in Combo mode
# to determine how much Tolerance for positions after first
# NLP_THRESHOLD: Sets how many failures needed before
# switching preferred NLP in Combo mode
# NLP_ACCURACY_MULTIPLE: Determines how far off the accuracy
# must be, in multiples, between two NLP location reports to
# be considered much worse accuracy. Used in switching logic
# NLP COMBO MODE USES QNP WITH NO EULA CONSENT: Determines
# whether or not to still send network location requests to
# QNP when the EULA is not consented to by the user. QNP can
# still return ZPP locations or injected locations even
# without EULA consent, but the uncertainty can be high.
# QNP preferred mode prefers QNP when there is EULA consent,
# otherwise OSNLP is used.
NLP_MODE = 1
NLP_MODE_EMERGENCY = 2
NLP_TOLERANCE_TIME_FIRST = 5000
NLP_TOLERANCE_TIME_AFTER = 20000
NLP_THRESHOLD = 3
NLP_ACCURACY_MULTIPLE = 2
NLP_COMBO_MODE_USES_QNP_WITH_NO_EULA_CONSENT = 1

#########################################
# NLP PACKAGE SETTINGS
#########################################
# OSNLP_PACKAGE: name of default NLP package
OSNLP_PACKAGE = com.google.android.gms
# REGION_OSNLP_PACKAGE:
# This value will be used as alternative
# for particular region where default NLP is not functional.
#REGION_OSNLP_PACKAGE =

###################################
# GEOFENCE SERVICES
###################################
# If set to one of the defined values below, it will override
# the responsiveness for geofence services, which implements
# the Proximity Alert API. If not set to a value defined below,
# which is default, it will not override the responsivness.
# The geofence HAL API is unaffected by this value.
# GEOFENCE_SERVICES_RESPONSIVENESS_OVERRIDE Values:
# 1: LOW responsiveness
# 2: MEDIUM responsiveness
# 3: HIGH responsiveness
GEOFENCE_SERVICES_RESPONSIVENESS_OVERRIDE = 0

#####################################
#GTP Opt-In app
#####################################

#GTP privacy policy version url
#https support is required
GTP_PRIVACY_VERSION_URL = https://info.izatcloud.net/privacy/version.html

#GTP privacy policy version download retry interval
#unit is second. default is 86400
GTP_PRIVACY_RETRY_INTERVAL = 86400

#####################################
# IZAT PREMIUM FEATURE SETTINGS
#####################################
#Possible states of a feature:
#DISABLED
#BASIC
#PREMIUM

#GTP_MODE valid modes:
# DISABLED
# LEGACY_WWAN
# SDK (WWAN not available for Modems before LocTech 10.0)
# SDK_WIFI (WWAN provided by legacy Modem)
GTP_MODE=DISABLED

#GTP_WAA valid modes:
# DISABLED
# BASIC
GTP_WAA=DISABLED

#SAP valid modes:
# DISABLED
# BASIC
# PREMIUM
# PREMIUM_ENV_AIDING
# MODEM_DEFAULT
SAP=MODEM_DEFAULT

#FREE_WIFI_SCAN_INJECT valid modes:
#DISABLED
#BASIC
FREE_WIFI_SCAN_INJECT=BASIC

#SUPL_WIFI valid modes:
#DISABLED
#BASIC
SUPL_WIFI=BASIC

#WIFI_SUPPLICANT_INFO valid modes:
#DISABLED
#BASIC
WIFI_SUPPLICANT_INFO=BASIC

#####################################
# Location process launcher settings
#####################################

# DO NOT MODIFY
# Modifying below attributes without
# caution can have serious implications.

#Values for PROCESS_STATE:
# ENABLED
# DISABLED

#Values for LOW_RAM_TARGETS:
# ENABLED
# DISABLED
# Property to enable/disable processes for low ram targets. Uses ro.config.low_ram property
# to identify low ram targets.

#PROCESS_NAME
# Name of the executable file.

#FEATURE MASKS:
# GTP-WIFI    0X03
# GTP-MP-CELL 0xc00
# GTP-WAA     0x100
# SAP         0Xc0
# ODCPI      0x1000
# FREE_WIFI_SCAN_INJECT   0x2000
# SUPL_WIFI   0x4000
# WIFI_SUPPLICANT_INFO   0x8000

#Values for PLATFORMS can be:
#1. Any valid values obtained from ro.board.platform separated by single space. For example: msm8960 msm8226
#2. 'all' or 'all exclude' -> for All platforms
#3. 'all exclude XXXX' -> All platforms exclude XXXX. For example: all exclude msm8937

#Values for SOC_IDS can be:
#1. Any valid values obtained from soc_id node separated by single space. For example: 339 386 436
##  soc_id value can be obtained from any one of below node:
##      - /sys/devices/soc0/soc_id
##      - /sys/devices/system/soc/soc0/id
#2. 'all' or 'all exclude' -> for All soc id's
#3. 'all exclude XXXX' -> All soc id's exclude XXXX. For example: all exclude 339 386

#Values for BASEBAND can be:
#1. Any valid values obtained from ro.baseband separated by single space. For example: sglte sglte2
#2. 'all' or 'all exclude' -> for all basebands
#3. 'all exclude XXXX' -> All basebands exclude XXXX. For example: all exclude sglte
PROCESS_NAME=lowi-server
PROCESS_ARGUMENT=
PROCESS_STATE=ENABLED
PROCESS_GROUPS=gps wifi inet oem_2901
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0xf303
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=ENABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=0

PROCESS_NAME=xtwifi-inet-agent
PROCESS_ARGUMENT=
PROCESS_STATE=ENABLED
PROCESS_GROUPS=inet gps
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xc03
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=ENABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=1

PROCESS_NAME=xtwifi-client
PROCESS_ARGUMENT=
PROCESS_STATE=ENABLED
PROCESS_GROUPS=wifi inet gps system oem_2904
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xd03
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=ENABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=1

PROCESS_NAME=slim_daemon
PROCESS_ARGUMENT=
PROCESS_STATE=ENABLED
PROCESS_GROUPS=gps oem_2901 can plugdev diag sensors
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xf0
PLATFORMS=all
SOC_IDS=all exclude 386 436
BASEBAND=all
LOW_RAM_TARGETS=DISABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=1

PROCESS_NAME=xtra-daemon
PROCESS_ARGUMENT=
PROCESS_STATE=ENABLED
PROCESS_GROUPS=inet gps system
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=ENABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=0

########################################
# Engine Service which host DRE module #
# To enable DRE engine service, change #
# PROCESS_STATE=ENABLED                #
########################################
PROCESS_NAME=engine-service
PROCESS_ARGUMENT=DRE-INT libloc_epDr.so
PROCESS_STATE=DISABLED
PROCESS_GROUPS=gps diag inet qwes oem_2901 system
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=DISABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=1

########################################
# Engine Service which host PPE module #
# To enable PPE engine service, change #
# PROCESS_STATE=ENABLED                #
# and update process arugements        #
# with PPE library name                #
#PROCESS_ARGUMENT=PPE libepsimulator.so#
########################################
PROCESS_NAME=engine-service
PROCESS_ARGUMENT=PPE libepsimulator.so
PROCESS_STATE=DISABLED
PROCESS_GROUPS=gps diag inet qwes oem_2901 system
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0
PLATFORMS=all
SOC_IDS=all
BASEBAND=all
LOW_RAM_TARGETS=DISABLED
HARDWARE_TYPE=all
VENDOR_ENHANCED_PROCESS=1
